- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Friends | List of all members
StarObjectModelInternal::Page::Descriptor Struct Reference

Internal: class used to store a page descriptor. More...

## Public Member Functions
| Descriptor ()
| constructor More...

## Public Attributes
int | m_masterId
| the page number More...
std::vector< bool > | m_layerList
| a list of layer More...

## Friends
std::ostream & | operator<< (std::ostream &o, Descriptor const &desc)
| operator<< More...

## Detailed Description

Internal: class used to store a page descriptor.

## Constructor & Destructor Documentation

StarObjectModelInternal::Page::Descriptor::Descriptor | ( |  | ) |
| inline

constructor

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Descriptor const & | desc
| ) |  |
| friend

operator<<

## Member Data Documentation

std::vector<bool> StarObjectModelInternal::Page::Descriptor::m_layerList

a list of layer

Referenced by StarObjectModel::readSdrMPageDesc().

int StarObjectModelInternal::Page::Descriptor::m_masterId

the page number

Referenced by StarObjectModel::readSdrMPageDesc(), and StarObjectModel::readSdrPage().

The documentation for this struct was generated from the following file:

- StarObjectModel.cxx